> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.chainstack.com/feedback

```json
{
  "path": "/reference/ethereum-gas-data-rpc-methods",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Gas data | Ethereum

> Ethereum gas data JSON-RPC methods — query current gas prices, estimate gas costs, and get fee history to build cost-effective dapps on Ethereum.

<Check>
  ### Get your own node endpoint today

  [Start for free](https://console.chainstack.com/) and get your app to production levels immediately. No credit card required.

  You can sign up with your GitHub, X, Google, or Microsoft account.
</Check>

Retrieving gas information from the Ethereum blockchain can be done by using the following methods:

<CardGroup cols={2}>
  <Card title="eth_estimateGas" icon="angle-right" iconType="solid" href="/reference/ethereum-estimategas" horizontal />

  <Card title="eth_gasPrice" icon="angle-right" iconType="solid" href="/reference/gasprice" horizontal />

  <Card title="eth_maxPriorityFeePerGas" icon="angle-right" iconType="solid" href="/reference/ethereum-maxpriorityfeepergas" horizontal />
</CardGroup>
